package yaes.ui.propertysheet.editors;

import java.beans.PropertyEditorSupport;

public class BoolEditor extends PropertyEditorSupport {
	public BoolEditor() {
	}

	@Override
	public String getAsText() {
		if (((Boolean) getValue()).booleanValue()) {
			return "True";
		} else {
			return "False";
		}
	}

	@Override
	public String getJavaInitializationString() {
		if (((Boolean) getValue()).booleanValue()) {
			return "true";
		} else {
			return "false";
		}
	}

	@Override
	public String[] getTags() {
		final String as[] = { "True", "False" };
		return as;
	}

	@Override
	public void setAsText(String s) throws IllegalArgumentException {
		if (s.toLowerCase().equals("true")) {
			setValue(Boolean.TRUE);
			return;
		}
		if (s.toLowerCase().equals("false")) {
			setValue(Boolean.FALSE);
			return;
		} else {
			throw new IllegalArgumentException(s);
		}
	}
}
