package yaes.framework.simulation;

import java.util.Comparator;

public class SimulationOutputComparator implements Comparator<SimulationOutput> {
	private final String value;
	RandomVariable.Probe probe;

	public SimulationOutputComparator(String value, RandomVariable.Probe probe) {
		this.value = value;
		this.probe = probe;
	}

	public int compare(SimulationOutput arg0, SimulationOutput arg1) {
		final Double arg0v = arg0.getRandomVar(value).getValue(probe);
		final Double arg1v = arg1.getRandomVar(value).getValue(probe);
		return arg0v.compareTo(arg1v);
	}
}
