package yaes.ui.propertysheet;

public class IntegerEnumeration {
	private int value;
	private transient IntegerEnumerationType iet;

	public IntegerEnumeration(IntegerEnumerationType iet) {
		this.iet = iet;
	}

	public IntegerEnumerationType getIntegerEnumerationType() {
		return iet;
	}

	public String getLabelOfValue(int value) {
		return iet.getLabelOfValue(value);
	}

	public String[] getLabels() {
		return iet.getLabels();
	}

	public int getValue() {
		return value;
	}

	public String getValueAsString() {
		return iet.getLabelOfValue(value);
	}

	public int getValueOfLabel(String label) {
		return iet.getValueOfLabel(label);
	}

	public void setIntegerEnumerationType(IntegerEnumerationType iet) {
		this.iet = iet;
	}

	public void setValue(int value) {
		// FIXME: throw an exception if there is a problem
		this.value = value;
	}

	public void setValueFromString(String s) {
		value = getValueOfLabel(s);
	}
}
