package yaes.ui.propertysheet;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.Vector;

/**
 * database to store tips
 */
public class dataTips {
	//
	// ----------------------
	//
	/**
	 * Appends a content of the file to set of tips (converting it to XML string
	 * !!!)
	 */
	public static void appendFrom(String source, String destination) {
		final dataTips data = new dataTips();
		BufferedReader file = null;
		try {
			file = new BufferedReader(new FileReader(new File(source)));
		} catch (final Exception ex) {
			System.err.println(ex);
			return;
		}
		final char buffer[] = new char[1024];
		String text = new String("");
		while (true) {
			try {
				final int bytes_read = file.read(buffer, 0, 1024);
				if (bytes_read == -1) {
					break;
				}
				text += new String(buffer, 0, bytes_read);
			} catch (final IOException ioex) {
				System.err.println(ioex);
				break;
			}
		}
		data.tipsList.add(text);
	}

	public Vector tipsList = new Vector();

	public int lastTip = 0;
}
