package yaes.ui.simulationcontrol;

import javax.swing.BorderFactory;
import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import yaes.framework.simulation.SimulationOutput;

public class PnlSimulationOutput extends JPanel {
	private static final long serialVersionUID = -807674557920920174L;
	TmSimulationOutput model;

	public PnlSimulationOutput() {
		setLayout(new BoxLayout(this, BoxLayout.LINE_AXIS));
		setBorder(BorderFactory.createTitledBorder("Simulation output"));
		final JTable table = new JTable();
		final JScrollPane scrollPane = new JScrollPane(table);
		table.setFillsViewportHeight(true);
		model = new TmSimulationOutput();
		table.setModel(model);
		add(scrollPane);
	}

	public void setSimulationOutput(SimulationOutput so) {
		model.setSimulationOutput(so);
	}
}
